Name:           kvkbd
Version:        0.6
Release:        1%{?dist}
Summary:        Virtual keyboard for KDE

Group:          Applications/System
License:        GPLv2+
URL:            http://www.kde-apps.org/content/show.php/Kvkbd+-+KDE4?content=94374
Source0:        http://www.kde-apps.org/CONTENT/content-files/94374-%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake kdelibs-devel libxslt-devel

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }

%description
Kvkbd is a virtual keyboard for KDE, it contains many feature like system
tray and dock support, autodetection and on the fly change of the keyboard
layout, scripting with DBus, etc.

%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make VERBOSE=1 %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
mkdir %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

desktop-file-install                                    \
--delete-original                                       \
--dir=%{buildroot}%{_datadir}/applications              \
%{buildroot}/%{_datadir}/applications/kde4/kvkbd.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_kde4_bindir}/kvkbd
%{_kde4_datadir}/applications/kvkbd.desktop
%{_kde4_datadir}/doc/HTML/en/kvkbd/
%{_kde4_appsdir}/kvkbd/

%changelog
* Mon Mar 09 2009 Jaroslav Reznik <jreznik@redhat.com> - 0.6-1
- Initial package
